MDVA-39305: Inloggningsproblem med aktiverad Google reCAPTCHA

MDVA-39305-korrigeringen åtgärdar ett problem där registrerade kunder inte kan logga in med aktiverad Google reCAPTCHA. Den här korrigeringen är tillgänglig när QPT (Quality Patches Tool) 1.1.1 är installerat. Korrigerings-ID är MDVA-39305. Observera att problemet schemaläggs att åtgärdas i Adobe Commerce version 2.4.4 och 2.4.7.

Berörda produkter och versioner

Korrigeringen skapas för Adobe Commerce-versionen:

  • Adobe Commerce om molninfrastruktur 2.4.2-p1, 2.4.3-p3, 2.4.5-p2

Kompatibel med Adobe Commerce:

  • Adobe Commerce (alla distributionsmetoder) 2.4.1-p1 - 2.4.3-p3, 2.4.4-p1 - 2.4.4-p5, 2.4.5 - 2.4.6-p2
NOTE
Patchen kan bli tillämplig på andra versioner med nya Quality Patches Tool-versioner. Om du vill kontrollera om patchen är kompatibel med din Adobe Commerce-version uppdaterar du magento/quality-patches till den senaste versionen och kontrollera om Quality Patches Tool: Sök efter korrigeringssida. Använd patch-ID:t som söknyckelord för att hitta patchen.

Problem

Registrerade kunder kan inte logga in med den aktiverade Google reCAPTCHA.

Steg som ska återskapas:

  1. Gå till Butik > Konfiguration > Säkerhet > Google reCAPTCHA Storefront och aktivera Google reCAPTCHA.
  2. Gå till Frontend.
  3. Öppna Developer Tool Console i webbläsaren.

Förväntade resultat:

Inga CSP-varningar i konsolen.

Faktiska resultat:

CSP-varningar i konsolen.

Tillämpa korrigeringen

Använd följande länkar beroende på distributionsmetod för att tillämpa enskilda korrigeringsfiler:

Relaterad läsning

Mer information om verktyget för kvalitetskorrigeringar finns i:

Mer information om andra patchar som finns i QPT finns i Patchar tillgängliga i QPT i vår dokumentation för utvecklare.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a